GetMountTableEntriesResponsePBImpl (Apache Hadoop HDFS-RBF 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.federation.store.protocol.impl.pb, class: GetMountTableEntriesResponsePBImpl

Package org.apache.hadoop.hdfs.server.federation.store.protocol.impl.pb

# Class GetMountTableEntriesResponsePBImpl

java.lang.Object
org.apache.hadoop.hdfs.server.federation.store.protocol.GetMountTableEntriesResponse
org.apache.hadoop.hdfs.server.federation.store.protocol.impl.pb.GetMountTableEntriesResponsePBImpl

All Implemented Interfaces:
  `PBRecord`

public class GetMountTableEntriesResponsePBImpl extends GetMountTableEntriesResponse implements PBRecord
Protobuf implementation of the state store API object GetMountTableEntriesResponse.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetMountTableEntriesResponsePBImpl()`
  `GetMountTableEntriesResponsePBImpl(org.apache.hadoop.hdfs.federation.protocol.proto.HdfsServerFederationProtos.GetMountTableEntriesResponseProto proto)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<MountTable>`
  `getEntries()`
  `org.apache.hadoop.hdfs.federation.protocol.proto.HdfsServerFederationProtos.GetMountTableEntriesResponseProto`
  `getProto()`
  Get the protocol for the record.
  `long`
  `getTimestamp()`
  `void`
  `readInstance(String base64String)`
  Populate this record with serialized data.
  `void`
  `setEntries(List<MountTable> records)`
  `void`
  `setProto(org.apache.hadoop.thirdparty.protobuf.Message proto)`
  Set the protocol for the record.
  `void`
  `setTimestamp(long time)`

  ### Methods inherited from class org.apache.hadoop.hdfs.server.federation.store.protocol.GetMountTableEntriesResponse

  `newInstance`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GetMountTableEntriesResponsePBImpl

    public GetMountTableEntriesResponsePBImpl()

  - ### GetMountTableEntriesResponsePBImpl

    public GetMountTableEntriesResponsePBImpl(org.apache.hadoop.hdfs.federation.protocol.proto.HdfsServerFederationProtos.GetMountTableEntriesResponseProto proto)

- ## Method Details

  - ### getProto

    public org.apache.hadoop.hdfs.federation.protocol.proto.HdfsServerFederationProtos.GetMountTableEntriesResponseProto getProto()
    Description copied from interface: `PBRecord`
    Get the protocol for the record.
    Specified by:
      `getProto` in interface `PBRecord`
    Returns:
      The protocol for this record.

  - ### setProto

    public void setProto(org.apache.hadoop.thirdparty.protobuf.Message proto)
    Description copied from interface: `PBRecord`
    Set the protocol for the record.
    Specified by:
      `setProto` in interface `PBRecord`
    Parameters:
      `proto` - Protocol for this record.

  - ### readInstance

    public void readInstance(String base64String) throws IOException
    Description copied from interface: `PBRecord`
    Populate this record with serialized data.
    Specified by:
      `readInstance` in interface `PBRecord`
    Parameters:
      `base64String` - Serialized data in base64.
    Throws:
      `IOException` - If it cannot read the data.

  - ### getEntries

    public List<MountTable> getEntries() throws IOException
    Specified by:
      `getEntries` in class `GetMountTableEntriesResponse`
    Throws:
      `IOException`

  - ### setEntries

    public void setEntries(List<MountTable> records) throws IOException
    Specified by:
      `setEntries` in class `GetMountTableEntriesResponse`
    Throws:
      `IOException`

  - ### getTimestamp

    public long getTimestamp()
    Specified by:
      `getTimestamp` in class `GetMountTableEntriesResponse`

  - ### setTimestamp

    public void setTimestamp(long time)
    Specified by:
      `setTimestamp` in class `GetMountTableEntriesResponse`